Subject: Re: bug#41187: 28.0.50; Flipped text

From: Wasim Abbas <[email-masked]>
Date: Tue, 12 May 2020 10:51:58 +0100

> On 11 May 2020, at 16:23, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Wasim Abbas <[email-masked]>
>> Date: Mon, 11 May 2020 13:00:57 +0100
>> 
>> I am seeing this issue on emacs head. The text randomly flips vertically. Very hard to reproduce. But if you open a very long C/C++ file like https://github.com/KhronosGroup/Vulkan-Headers/blob/master/include/vulkan/vulkan_core.h <https://github.com/KhronosGroup/Vulkan-Headers/blob/master/include/vulkan/vulkan_core.h> and keep moving around the buffer, cut 100ish lines and paste in another location and then move around again. You might hit the issue.
>> 
>> Here is a screenshot of it. I haven’t tried with emacs -Q yet but happy to try if required. 
> 
> Wow!  That's got to be some weird problem with you video driver or the
> display hardware.  Emacs never does anything like that.

It could be. It's definitely isolated to emacs 28 and only to main emacs buffers. If you see the minibuffer and mode line it looks correct in the screenshot. Also if I do m-x the helm buffer appearing also gets flipped.
I was wondering if this is some option that is sent to core graphics while rendering the buffer that flips it? Any ideas how to debug this? Happy to give it a go.